Can not scroll through attribute list in dialog window when linking existing child features

2018-11-02 08:15 PM - Andrew Fleming

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Forms

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28159

Description

Hello,

I have created a Relation between two tables in my Oracle database and am having trouble linking the parent and child features together.

When I attempt to link the child to the parent using the icon in Attribute form (See "No Scroll Bar 1.jpg"), I have no way of scrolling down to

the bottom of the Dialog window to confirm the link (the child table has 42 columns and I don't want to remove any of them) (See "No

Scroll Bar 2.jpg").

Also, on a side note, resizing the dialog window doesn't appear to work properly either, click-and-drag on the top of the window shifts the

entire panel and doesn't actually resize.

I'm hoping someone can help me.

Thanks,

Andrew

Related issues:

Related to QGIS Application - Bug report # 20701: No scroll in attribute form Open 2018-12-03

Associated revisions

Revision c962573c - 2018-11-03 03:27 PM - Alessandro Pasotti 

Make sure QgsFeatureSelectionDlg does not outgrow the window

Fixes #20338 - Can not scroll through attribute list in dialog window when linking existing child features

History

#1 - 2018-11-02 08:40 PM - Giovanni Manghi

- Status changed from Open to Feedback

Did it worked as expected on 2.18?

#2 - 2018-11-02 08:52 PM - Andrew Fleming

Giovanni Manghi wrote:

Did it worked as expected on 2.18?
No, this behaves exactly the same in 2.18.

#3 - 2018-11-02 09:52 PM - Alessandro Pasotti

I think that's a problem with the form window height, we should set a maximum.

#4 - 2018-11-02 09:53 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2018-11-02 10:05 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2018-11-03 03:28 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/8407

#7 - 2018-11-05 09:54 AM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|c962573c8293bc159299156d7e0636893a1bccc1.

#8 - 2018-11-06 09:06 AM - Alessandro Pasotti

@Andrew, the patch has been merged, can you please test it?

#9 - 2018-11-06 04:39 PM - Andrew Fleming

Thanks Alessandro,

Unfortunately the issue remains, I can not scroll down to the bottom of the 'Dialog' window or resize it.

I just updated my QGIS to V.3.4.1 perhaps this could be the reason?

#10 - 2018-11-06 08:55 PM - Alessandro Pasotti

It's not in 3.4.1, you have to test the nightly builds.
#11 - 2018-12-03 10:42 AM - Jürgen Fischer

- Related to Bug report #20701: No scroll in attribute form added
